Foreman - Refactor #12979

Add a helper for primary buttons
01/04/2016 08:48 AM - Alon Goldboim

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3350,
https://github.com/theforeman/foreman/p
ull/3373,
https://github.com/theforeman/foreman/p
ull/3396
Description

In most of the views there is a create button(example "New Host") that we need to apply btn-success css class on it(btn-primary once
patterfly will be merged), we are now doing so automatically by using JavaScript which is considered bad practice(application.js:66),
we need to remove it.

In order to achieve that:
e create a helper for create_button.

e apply it in needed views.
e remove js functionality (application.js:66).

Related issues:

Related to Discovery - Refactor #14360: Use new_link for new buttons Closed 03/28/2016
Related to Foreman Remote Execution - Bug #14506: Use new button helpers Closed 04/06/2016
Related to Foreman - Bug #14555: Welcome pages missing use of new_link helper Closed 04/08/2016
Related to Foreman - Bug #14564: some buttons are no longer visible as buttons Closed 04/11/2016
Related to Foreman - Bug #14977: report show toolbar buttons are just links Closed 05/10/2016
Related to Foreman - Bug #15431: smart proxy show buttons are missing css cla... Closed 06/16/2016
Related to Foreman Remote Execution - Bug #15475: btn misses css class under ... Rejected 06/21/2016

Associated revisions

Revision bb25ebe6 - 03/25/2016 04:18 AM - Tomer Brisker

Fixes #12979 - Create helper for "new" button

Previously the button classes were applied to new buttons using jQuery.
This commit creates a "'new_link™ helper that makes sure all new buttons
will receive the correct class and only display if authorized. Also a

little bit of cleanup.

Revision 9980268f - 04/05/2016 09:32 AM - Ori Rabin
Refs #12979 - adding btn-default class to leftover buttons

Revision 170a3269 - 04/07/2016 06:33 AM - Tomer Brisker
Refs #12979 - fix proxy button styling

History

#1 - 03/20/2016 09:44 AM - Tomer Brisker

- Category set to Web Interface
- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#2 - 03/20/2016 01:04 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3350 added

#3 - 03/25/2016 05:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bb25ebe661dea99d1247dd48a0dbea5¢88162711.

#4 - 03/28/2016 08:49 AM - Ori Rabin
- Related to Refactor #14360: Use new_link for new buttons added

#5 - 03/29/2016 04:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 03/29/2016 08:23 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3373 added

#7 - 04/06/2016 10:03 AM - Stephen Benjamin
- Related to Bug #14506: Use new button helpers added

#8 - 04/07/2016 04:49 AM - Dominic Cleal
- Pull request https://github.com/theforeman/foreman/pull/3396 added

#9 - 04/10/2016 03:41 AM - Tomer Brisker

- Related to Bug #14555: Welcome pages missing use of new_link helper added

#10 - 04/11/2016 02:53 AM - Ohad Levy

- Related to Bug #14564: some buttons are no longer visible as buttons added

#11 - 05/10/2016 03:53 AM - Dominic Cleal

- Related to Bug #14977: report show toolbar buttons are just links added

#12 - 06/16/2016 06:20 AM - Dominic Cleal

- Related to Bug #15431: smart proxy show buttons are missing css classes. added

#13 - 06/21/2016 06:40 AM - Ohad Levy

- Related to Bug #15475: btn misses css class under console view added
